Creates a new purchase order order line

Request Information

URI Parameters :

None.

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "3a35dc09-8b60-42a8-96a1-ca57d48573db",
  "purchase_order_id": "d03bbee7-bfe0-4a6a-8619-61ef903af333",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "9e1568ec-e03a-4133-89b1-2417f7c32db0",
    "id2": 2,
    "jobs_id": "d12fc964-2e5b-4484-bb81-022a58a8ffe0",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "c7a9fb14-f07c-4bb5-8ea8-6b9d420338a1",
    "supplier_company_code": "sample string 6",
    "user_id": "c541ee87-ae78-4ae1-8a70-cbdd2d6c68e9",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-11-06T16:16:30.0334191+00:00",
    "date_update": "2026-11-06T16:16:30.0334191+00:00",
    "date_delivery": "2026-11-06T16:16:30.0334191+00:00",
    "confirmed_date_delivery": "2026-11-06T16:16:30.0334191+00:00",
    "delivery_db_address_id": "c0fce2b0-8559-43e8-a2a5-f96fa840c940",
    "approved_by_user_id": "b9967841-ddb1-45df-9fcc-e35324dd064e",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "926d0599-92b0-471f-91a2-10539603f859",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "1e71c07f-9f62-4cfb-970a-e434b3c9b1d0",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "106c40e0-b8be-4aee-938c-66cbc217388d",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-11-06T16:16:30.0334191+00:00"
  },
  "article_id": "101cfa54-df4a-464b-8a3f-b0b39e3cd004",
  "article_code": "sample string 5",
  "article": {
    "id": "60ba2613-1d5d-44d0-a743-8f7c8763a636",
    "article_category_id": "c235835c-98a7-4804-9202-cdbda19f1867",
    "article_category": {
      "id": "34adafb7-472e-4e79-bb99-6cab4f480477",
      "parent_id": "bc791e79-6489-487b-93c7-c54b79c9a9c3",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-11-06T16:16:30.0515892+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "a5d53928-190b-4824-901b-f577a377ee70",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "40dcf671-dd5d-45f6-a981-54c78a9fe3c9",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "c068dd40-276e-4eec-90ca-07ee1eaeaad7",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "575321ce-d3c8-47bf-b7be-d4b3e83be1c2",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "517aa72f-b7a7-4982-a593-b9bc44b9461e",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "ac1e2ac2-e83f-43a2-9ab3-dd607f30de3e",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-11-06T16:16:30.0515892+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-11-06T16:16:30.0515892+00:00",
    "date_update": "2026-11-06T16:16:30.0515892+00:00",
    "modified_dateutc": "2026-11-06T16:16:30.0515892+00:00",
    "article_color_id": "2a72fa65-a868-432c-8172-3c3a13e0f4e3",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "2874178e-094c-42b8-80b9-8c50e76eb17f",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-11-06T16:16:30.0515892+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "2ec8616c-7372-4c57-9a54-69f6a8755b22",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "d0fc7bc3-2e64-47af-b805-16599db3bdd0",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-11-06T16:16:30.0515892+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.